Loading...
Searching...
No Matches
L4virtio::Svr::Virtio_gpio< Request_handler, Epiface >::Request_processor Struct Reference

Generic handler for the Virtio requests. More...

`#include <virtio-gpio-device>`

Inheritance diagram for L4virtio::Svr::Virtio_gpio< Request_handler, Epiface >::Request_processor:
Collaboration diagram for L4virtio::Svr::Virtio_gpio< Request_handler, Epiface >::Request_processor:

## Protected Member Functions

template<typename T>
T | get_request ()
| The driver prepares the GPIO request in two data parts: 1st: in_hdr 2rd: out_hdr.

## Additional Inherited Members

Public Member Functions inherited from L4virtio::Svr::Request_processor
template<typename DESC_MAN, typename ... ARGS>
void | start (DESC_MAN *dm, Virtqueue *ring, Virtqueue::Head_desc const &request, ARGS... args)
| Start processing a new request.
template<typename DESC_MAN, typename ... ARGS>
Virtqueue::Request const & | start (DESC_MAN *dm, Virtqueue::Request const &request, ARGS... args)
| Start processing a new request.
Virtqueue::Desc::Flags | current_flags () const
| Get the flags of the currently processed descriptor.
bool | has_more () const
| Are there more chained descriptors?
template<typename DESC_MAN, typename ... ARGS>
bool | next (DESC_MAN *dm, ARGS... args)
| Switch to the next descriptor in a descriptor chain.

## Detailed Description

template<typename Request_handler, typename Epiface = L4virtio::Device>
struct L4virtio::Svr::Virtio_gpio< Request_handler, Epiface >::Request_processor

Generic handler for the Virtio requests.

Definition at line 213 of file virtio-gpio-device.

## Member Function Documentation

## get_request()

template<typename Request_handler, typename Epiface = L4virtio::Device>
template<typename T>

T L4virtio::Svr::Virtio_gpio< Request_handler, Epiface >::Request_processor::get_request | ( |  | ) |

inlineprotected

The driver prepares the GPIO request in two data parts: 1st: in_hdr 2rd: out_hdr.

This parses the two Data_buffers and create the Gpio_* structure.

Definition at line 241 of file virtio-gpio-device.

References L4virtio::Svr::Request_processor::current_flags(), and L4virtio::Svr::Request_processor::next().

Here is the call graph for this function:

The documentation for this struct was generated from the following file:

- l4/l4virtio/server/virtio-gpio-device